Bug 736039 - error in pulp.log during sync
Summary: error in pulp.log during sync
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: John Matthews
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 13:44 UTC by Preethi Thomas
Modified: 2013-09-09 16:33 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:12:12 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2011-09-06 13:44:24 UTC
Description of problem:
I see " Unable to parse group info for <> in pulp.log during synchronization

2011-09-06 09:48:15,041 27623:140482600494848: pulp.server.api.synchronizers:ERROR: synchronizers:418 Unable to parse group info for <open file '/var/lib/pulp//repos/released/F-15/GOLD/Fedora/x86_64/os/repodata/dc9ec2b705252b48ce6a115c3122777cb75fc56a97892e20894c5a31d6bfc6d9-group.xml.gz', mode 'r' at 0x7fc44e8cbdb0>
2011-09-06 09:48:15,041 27623:140482600494848: pulp.server.api.synchronizers:INFO: synchronizers:245 Loaded group info from /var/lib/pulp//repos/released/F-15/GOLD/Fedora/x86_64/os/repodata/dc9ec2b705252b48ce6a115c3122777cb75fc56a97892e20894c5a31d6bfc6d9-group.xml.gz


Version-Release number of selected component (if applicable):

[root@preethi ~]# rpm -q pulp
pulp-0.0.230-1.fc15.noarch

Comment 2 Jeff Ortel 2011-09-14 20:27:05 UTC
build: 0.231

Comment 3 Preethi Thomas 2011-09-15 15:41:29 UTC
[root@katello-test ~]# rpm -q pulp
pulp-0.0.231-1.el6.noarch

[root@katello-test ~]# pulp-admin -u admin -p admin repo sync --id=f14 -F
Sync for repository f14 already in progress
Sync: Finished
2773/2773 new items downloaded
0/2773 existing items processed

Item Details: 
Tree_Files: 7/7
Rpms: 2766/2766

2011-09-15 11:39:01,413 16580:139886248052480: pulp.server.util:INFO: util:495 createrepo on /var/lib/pulp//repos/released/F-14/GOLD/Fedora/x86_64/os finished
2011-09-15 11:39:01,505 16580:139886248052480: pulp.server.api.synchronizers:INFO: synchronizers:590 Createrepo finished in 238.241481066 seconds
2011-09-15 11:39:01,505 16580:139886248052480: pulp.server.api.synchronizers:INFO: synchronizers:592 YumSynchronizer reported 2773 successes, 2773 downloads, 0 errors
2011-09-15 11:39:32,276 16580:139886248052480: pulp.server.api.synchronizers:INFO: synchronizers:301 Created a distributionID ks-f14-noarch
2011-09-15 11:39:32,350 16580:139886248052480: pulp.server.api.synchronizers:INFO: synchronizers:273 No metadata for 'File Sync' present; no files to import to repo..
2011-09-15 11:39:32,356 16580:139886248052480: pulp.server.api.synchronizers:INFO: synchronizers:244 Loading comps group info from: /var/lib/pulp//repos/released/F-14/GOLD/Fedora/x86_64/os/repodata/1d46a2073097bdb6b7b6f6fba60e4525ca0bf2d1165026a3e1c87b0b2abaf07f-Fedora-14-comps.xml
2011-09-15 11:39:32,735 16580:139886248052480: pulp.server.api.synchronizers:INFO: synchronizers:265 Skipping errata imports from sync process
2011-09-15 11:39:33,171 16580:139886248052480: pulp.server.api.repo_sync:INFO: repo_sync:244 Sync returned 2766 packages, 0 errata in 1217.6771419 seconds
2011-09-15 11:39:33,671 16580:139886248052480: pulp.server.api.repo_sync:INFO: repo_sync:255 0 old packages to process, 2766 new packages to process
2011-09-15 11:39:35,396 16580:139886248052480: pulp.server.api.repo_sync:INFO: repo_sync:270 Examining 0 errata from repo f14
2011-09-15 11:39:35,917 16580:139886248052480: pulp.server.api.repo_sync:INFO: repo_sync:274 Removing 0 old errata from repo f14
2011-09-15 11:39:37,981 16580:139886248052480: pulp.server.api.repo_sync:INFO: repo_sync:283 Adding 0 new errata to repo f14
2011-09-15 11:39:38,601 16580:139886248052480: pulp.server.tasking.task:INFO: task:367 Task succeeded: Task 12cfa2eb-dfae-11e0-9ac9-54520065b6c1: _sync(f14, synchronizer=<pulp.server.api.synchronizers.YumSynchronizer object at 0x7f39ae581290>, skip_dict={}, max_speed=None, threads=None, progress_callback=<bound method RepoSyncTask.progress_callback of <pulp.server.api.repo_sync_task.RepoSyncTask object at 0x7f39ac8b9290>>)

Comment 4 Preethi Thomas 2012-02-24 20:12:12 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.